QwtArrowButton(3)

NAME
QwtArrowButton -

SYNOPSIS

#include <qwt_arrow_button.h>

  Public Member Functions
QwtArrowButton (int num, Qt::ArrowType, QWidget *parent=NULL)
virtual ~QwtArrowButton ()
Qt::ArrowType arrowType () const
virtual QSize minimumSizeHint () const
int num () const
virtual QSize sizeHint () const

  Protected Member Functions
virtual QSize arrowSize (Qt::ArrowType, const QSize &boundingSize) const
virtual void drawArrow (QPainter *, const QRect &, Qt::ArrowType) const
virtual void drawButtonLabel (QPainter *p)
virtual void keyPressEvent (QKeyEvent *)
virtual QRect labelRect () const
virtual void paintEvent (QPaintEvent *event)

Detailed Description

Arrow Button. A push button with one or more filled triangles on its front. An Arrow button can have 1 to 3 arrows in a row, pointing up, down, left or right.

Constructor & Destructor Documentation

  QwtArrowButton::QwtArrowButton (intnum, Qt::ArrowTypearrowType, QWidget *parent = NULL) [explicit]
Parameters:
    num Number of arrows
    arrowType see Qt::ArowType in the Qt docs.
    parent Parent widget

Member Function Documentation

  QSize QwtArrowButton::arrowSize (Qt::ArrowTypearrowType, const QSize &boundingSize) const [protected], [virtual]
Calculate the size for a arrow that fits into a rect of a given size

Parameters:
    arrowType Arrow type
    boundingSize Bounding size

Returns:
    Size of the arrow

  void QwtArrowButton::drawArrow (QPainter *painter, const QRect &r, Qt::ArrowTypearrowType) const [protected], [virtual]
Draw an arrow int a bounding rect

Parameters:
    painter Painter
    r Rectangle where to paint the arrow
    arrowType Arrow type

  void QwtArrowButton::drawButtonLabel (QPainter *painter) [protected], [virtual]

Draw the button label. Parameters:
    painter Painter

See also:
    The Qt Manual on QPushButton

  QRect QwtArrowButton::labelRect () const [protected], [virtual]
Returns:
    the bounding rect for the label

  void QwtArrowButton::paintEvent (QPaintEvent *event) [protected], [virtual]
Paint event handler

Parameters:
    event Paint event

  QSize QwtArrowButton::sizeHint () const [virtual]
Returns:
    a size hint

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.